> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create loyalty point activity

> Create loyalty point activity



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /customers/{id}/loyalty-point-activities
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/{id}/loyalty-point-activities:
    parameters:
      - name: id
        in: path
        description: customer id
        required: true
        schema:
          type: string
    post:
      tags:
        - Customers
      summary: Create loyalty point activity
      description: Create loyalty point activity
      operationId: create-loyalty-activity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoyaltyPointActivity'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      activity:
                        $ref: '#/components/schemas/LoyaltyPointActivity'
                    type: object
components:
  schemas:
    LoyaltyPointActivity:
      title: LoyaltyPointActivity
      type: object
      required:
        - activity
        - action
        - title
        - loyalty_points
      properties:
        activity:
          enum:
            - order
            - credit-note
            - tier-upgrade
            - tier-downgrade
            - no-purchase-activity
            - points-carryforward
            - signup
            - bonus
            - other
        action:
          enum:
            - add
            - remove
        title:
          type: string
        loyalty_points:
          type: integer
        reference_number:
          type: string
        internal_note:
          type: string
        remarks:
          type: string
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Customers
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````